<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Header
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

// Acesso mobile
if($isMobile){
    // Nao deixa exibir na barra principal mobile
    if($isMainBar == true){
        return;
    }

    if((isset($mainBarShowActionLinks) && $mainBarShowActionLinks) && (isset($slimBarShowActionLinks) && $slimBarShowActionLinks)){
        $links = (object) array_merge((array) $mainBarLinks, (array) $slimBarLinks);
    }
    else if((isset($mainBarShowActionLinks) && $mainBarShowActionLinks) || (isset($addItems) && in_array('action_links', $addItems))){
        $links = $mainBarLinks;
    }
    else if(isset($slimBarShowActionLinks) && $slimBarShowActionLinks){
        $links = $slimBarLinks;
    }
}
// Acesso desktop
else{
    if(isset($isSlimBar) && $isSlimBar){
        $links = $slimBarLinks;
    }else{
        $links = $mainBarLinks;
    }
}

if(!isset($links)){
    return;
}

?>

<div class="action-links" <?php echo ($actionOrigin == 'menu') ? "style='{$mainBarMenuParams->actionsButtonsMenuStyleMobile}'" : ''; ?>> 
<?php foreach ($links as $key => $item) { 
   // Se for mobile, precisa verificar se botao esta setado para ser exibido no local (dentro do menu ou barra slim)
   if(($isMobile && 
        (($actionOrigin == 'menu') && (($item->show_on_mobile == '1') || ($item->show_on_mobile == '3')))||
        (($actionOrigin == 'bar') && (($item->show_on_mobile == '2') || ($item->show_on_mobile == '3'))))
        || (!$isMobile)){
        $item->link_text = rtrim($item->link_text);    
    ?>
        <a href="<?php echo $item->link; ?>" style='<?php echo ($isMobile) ? $item->linkStyleMobile : $item->linkStyle; ?>' target="<?php echo $item->link_target; ?>" data-item="<?php echo $key; ?>" class='<?php echo "{$module->name}__action-links"; ?> <?php echo $item->show_as_button ? "{$module->name}__action-links--button" : ""; ?>' <?php echo !empty($item->link_title) ? 'title="'.$item->link_title.'"' : ''; ?> <?php echo !empty($item->dataid) ? 'data-id="'.$item->dataid.'"' : ''; ?>>
            <?php if(!$item->show_as_button){ ?> 
                <span class="action-link__icon <?php echo !empty($item->icon) ? $item->icon : ""; ?>"></span>
            <?php } ?>
            <?php echo !empty($item->link_text) ? $item->link_text :  JText::_('MOD_NOBOSSHEADER_ACTION_LINKS_TEXT'); ?>
        </a>
    <?php } ?>
<?php } ?>
</div>
