<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Header
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

if(($langConfig->displayLocation !== 'slim' && (isset($isSlimBar) && $isSlimBar)) || ($langConfig->displayLocation !== 'main' && (isset($isMainBar) && $isMainBar))){
    return;
}
  
// if ($langCustomization->dropdown && !$langCustomization->dropdownimage){
// 	JHtml::_('formbehavior.chosen');
// }
//
$langCustomizationTemp = new \stdClass();
$langCustomizationTemp = $isMobile ? $langConfigMobile : $langConfigDesk;
?>

<div class="additional-items__lang" style='<?php echo $langCustomizationTemp->text_style; ?> <?php echo $langCustomizationTemp->space; ?>'>
<?php /*
    <?php if ($headerText) : ?>
        <div class="pretext"><p><?php echo $headerText; ?></p></div>
    <?php endif; ?>
*/ ?>
<?php /*
<?php if ($langCustomization->dropdown && !$langCustomization->dropdownimage) : ?>
    <form name="lang" method="post" action="<?php echo htmlspecialchars(JUri::current(), ENT_COMPAT, 'UTF-8'); ?>">
        <select class="inputbox advancedSelect" onchange="document.location.replace(this.value);" >
        <?php foreach ($list as $language) : ?>
            <option dir=<?php echo $language->rtl ? '"rtl"' : '"ltr"'; ?> value="<?php echo $language->link; ?>" <?php echo $language->active ? 'selected="selected"' : ''; ?>>
            <?php echo $language->title_native; ?></option>
        <?php endforeach; ?>
        </select>
    </form>
*/ ?>
<?php if ($langCustomizationTemp->dropdown) : ?>
    <div class="languages__dropdown <?php echo isset($langCustomizationTemp->text_alignment) ? 'languages__dropdown--' . $langCustomizationTemp->text_alignment : ''; ?>">
        <?php foreach ($list as $language) : ?>
            <?php if ($language->active) : ?>
                <a href="#" data-toggle="dropdown" class="btn dropdown-toggle" style="<?php echo $langCustomizationTemp->list_selector_color; ?>">
                    <?php if($langCustomizationTemp->enable_globe){ ?> 
                        <span class="dropdown-icon fa fa-globe"></span>     
                    <?php } ?>
                    <?php if($langConfig->langShowInsideMenu && !empty($langCustomizationTemp->intro_text)){ ?>
                        <span class="languages__intro-text">
                            <?php echo $langCustomizationTemp->intro_text; ?>
                        </span>
                    <?php } ?>
                    <?php if(!$langCustomizationTemp->enable_globe) { ?>
                        <?php if($langCustomizationTemp->language_name){ ?> 
                            <?php if ($langCustomizationTemp->image && $language->image) : ?>
                                <?php echo JHtml::_('image', 'mod_languages/' . $language->image . '.gif', '', null, true); ?>
                            <?php endif; ?>
                            <?php 
                                echo "<span class='language__text'>"; 
                                echo $langCustomizationTemp->language_name == 'fullname' ? $language->title_native : strtoupper($language->sef); 
                                echo "</span>";    
                            ?>
                        <?php } else {
                                if ($language->image){ 
                                    echo "<div class='lang-image'>";
                                    echo JHtml::_('image', 'mod_languages/' . $language->image . '.gif', '', null, true); 
                                    echo "</div>";
                                }
                            } ?> 
                    <?php } ?>
                    <?php // if(($isMobile && !$langCustomization->enable_globe) || !$isMobile){ ?>
                        <span class="material-icons">arrow_drop_down</span>
                    <?php // } ?>
                </a>
            <?php endif; ?>
        <?php endforeach; ?>
        <ul class="languages__dropdown-menu" dir="<?php echo JFactory::getLanguage()->isRtl() ? 'rtl' : 'ltr'; ?>" style="<?php echo $langCustomizationTemp->lang_list_style; ?>">
        <?php foreach ($list as $language) : ?>
            <?php if (!$language->active || $langCustomizationTemp->show_active) : ?>
                <li class="languages__item <?php echo $language->active ? ' lang-active' : ''; ?>">
                    <a href="<?php echo $language->link; ?>" style="<?php echo $langCustomizationTemp->lang_item_space; ?>">
                        <?php if($langCustomizationTemp->language_name){ ?> 
                            <?php if ($langCustomizationTemp->image && $language->image) : ?>
                                <?php echo JHtml::_('image', 'mod_languages/' . $language->image . '.gif', '', null, true); ?>
                            <?php endif; ?>
                            <?php 
                                echo "<span class='language__text'>"; 
                                echo $langCustomizationTemp->language_name == 'fullname' ? $language->title_native : strtoupper($language->sef); 
                                echo "</span>";    
                            ?>
                        <?php } else {
                            if ($language->image){ 
                                echo "<div class='lang-image'>";
                                echo JHtml::_('image', 'mod_languages/' . $language->image . '.gif', '', null, true); 
                                echo "</div>";
                            }
                        } ?> 
                    </a>
                </li>
            <?php endif; ?>
        <?php endforeach; ?>
        </ul>
    </div>
<?php else : ?>
    <?php if($langConfig->langShowInsideMenu && !empty($langCustomizationTemp->intro_text)){ ?>
        <span class="languages__intro-text">
            <?php echo $langCustomizationTemp->intro_text; ?>
        </span>
    <?php } ?>
    <ul class="languages__list <?php echo $langCustomizationTemp->inline ? 'lang-inline' : 'lang-block'; ?>">
    <?php foreach ($list as $language) : ?>
        <?php if (!$language->active || $langCustomizationTemp->show_active) : ?>
            <li class="languages__item <?php echo $language->active ? 'lang-active' : ''; ?>" dir="<?php echo $language->rtl ? 'rtl' : 'ltr'; ?>">
                <a href="<?php echo $language->link; ?>" style="<?php echo $langCustomizationTemp->lang_item_space; ?>">
                    <?php if($langCustomizationTemp->language_name){ ?> 
                        <?php if ($langCustomizationTemp->image && $language->image) : ?>
                            <?php echo JHtml::_('image', 'mod_languages/' . $language->image . '.gif', '', null, true); ?>
                        <?php endif; ?>
                        <?php
                            echo "<span class='language__text'>"; 
                            echo $langCustomizationTemp->language_name == 'fullname' ? $language->title_native : strtoupper($language->sef); 
                            echo "</span>";    
                        ?>
                    <?php } else {
                        if ($language->image){ 
                            echo "<div class='lang-image'>";
                            echo JHtml::_('image', 'mod_languages/' . $language->image . '.gif', '', null, true); 
                            echo "</div>";
                        }
                    } ?> 
                </a>
            </li>
        <?php endif; ?>
    <?php endforeach; ?>
    </ul>
<?php endif; ?>
<?php /*
    <?php if ($footerText) : ?>
        <div class="posttext"><p><?php echo $footerText; ?></p></div>
    <?php endif; ?>
*/ ?>
</div>


