<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Header
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

if(isset($isSlimBar) && $isSlimBar){
    if(!$slimBarShowLogo){
        return;
    }
    $logoParams = $slimBarLogoParams;
}else{
    $logoParams = $mainBarLogoParams;
}

?>
<?php if($logoParams->logoConfig->show_logo){ ?>
    <div class='<?php echo "{$module->name}__logo"; ?>' style="<?php echo $logoParams->logoSpacing; ?>">
        <?php // Valida se foi definida uma opção com link para incluir a tag <a> ?>
        <?php if($logoParams->logoLinkOption){ ?> 
            <a class='<?php echo "{$module->name}__logo--link"; ?>' title="<?php echo !empty($logoParams->logoLinkTitleHtml) ? $logoParams->logoLinkTitleHtml : JText::_('MOD_NOBOSSHEADER_LOGO_TITLE'); ?>" href="<?php echo $logoParams->link; ?>" target="<?php echo $logoParams->logoLinkTarget; ?>" role="link">
        <?php } ?> 
            <?php // Se o tipo de exibição da logo for texto ?>
            <?php if($logoParams->logoConfig->logo_display_mode == "text"){ 
                if (!empty($logoParams->logoConfig->text_logo)) {
                    // se for uma pagina de home, usa a tag h1, caso contrario usa span
                    $tag = empty($menuActive) ? "h1" : ($menuActive->home ? "h1" : "span");
                    echo "<{$tag} class='{$module->name}__logo--text notranslate' style='{$logoParams->logoTextStyle}'>{$logoParams->logoConfig->text_logo}</{$tag}>";
                }
            // Se o tipo de exibição da logo for imagem
            }else{ ?> 
                <img data-src-initial="<?php echo $logoParams->logoImageUrl; ?>" data-src-scroll="<?php echo isset($logoParams->logoImageScrollUrl) ? $logoParams->logoImageScrollUrl : $logoParams->logoImageUrl;?>" class='<?php echo "{$module->name}__logo--image"; ?>' alt="<?php echo $logoParams->logoImageAlt; ?>" role="img" src="<?php echo $logoParams->logoImageUrl; ?>" style="<?php echo !empty($logoParams->logoWidth) ? $logoParams->logoWidth : ''; ?>">
            <?php } ?>  

        <?php // Valida se foi definida uma opção com link para fechar a tag <a> ?>
        <?php if($logoParams->logoLinkOption){ ?> 
            </a>
        <?php } ?>   
    </div>
<?php } ?>
