<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Header
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

if (!empty($slimBarModuloMenuHtml) || !empty($secondaryBarModuloMenuHtml) || !empty($mainBarModuloMenuHtml)){

    if(isset($isSlimBar) && $isSlimBar){
        $moduloMenuHtml = $slimBarModuloMenuHtml;
        $showAsBurger = $slimBarMenuShowMenuAsBurger;
    }
    else if(isset($isSecondaryBar) && $isSecondaryBar){
        $moduloMenuHtml = $secondaryBarModuloMenuHtml;
        $showAsBurger = false;
    }
    else{
        $moduloMenuHtml = $mainBarModuloMenuHtml;
        $showAsBurger = $mainBarModal->show_menu_burguer;
    }
    ?>

    <?php 
    if($showAsBurger && (isset($alreadyHasSideMenu) && !$alreadyHasSideMenu) || !$showAsBurger || $isMobile){

        if($showAsBurger && !$isMobile){
            require JModuleHelper::getLayoutPath($extensionName, "common/menu_burger"); 
            $alreadyHasSideMenu = true;
        }
        ?>

        <nav class='<?php echo "{$module->name}__nav"; ?> <?php echo $showAsBurger ? "{$module->name}__nav--side-menu" : ''; ?>'>
            <?php if($showAsBurger){?>
            <div class='<?php echo "{$module->name}__nav-header"; ?>'></div>
            <?php }?>

            <?php // Menu ?>
            <?php
                if(!empty($moduloMenuHtml)){
                    // Carrega módulo de menu
                    echo str_replace("mod-menu", "menu", $moduloMenuHtml);
                }
            ?>
        </nav>
    <?php }
}
?>

