<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Header
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;
$s = "";

if($mainBarModal->header_position === 'sticky' && isset($mainBarModal->background_color_scroll)){
    $s .= ".{$module->name}.{$module->name}--desktop.{$module->name}__header--fixed .{$module->name}__main-bar{
                background-color: {$mainBarModal->background_color_scroll} !important;
        }";
    if(isset($mainBarModal->menu_text_color_scroll)){
        $s .= ".{$module->name}.{$module->name}--desktop.{$module->name}__header--fixed .{$module->name}__main-bar .nobossheader__nav ul.mod-list> ul > li > *{
            color: {$mainBarModal->menu_text_color_scroll} !important;
        }";
    }

    if(isset($mainBarModal->submenu_text_color_scroll) && !empty($mainBarModal->submenu_text_color_scroll)){
        $s .= ".{$module->name}.{$module->name}--desktop.{$module->name}__header--fixed .{$module->name}__main-bar .nobossheader__nav ul.mod-list > li > ul *{
            color: {$menuCustomization->submenu_text_color_scroll} !important;
        }";
    }
    
    if(isset($logoCustomization->image_width_scroll)){
        $s .=".{$module->name}.{$module->name}--desktop.{$module->name}__header--fixed .{$module->name}__main-bar .{$module->name}__logo--image{
                width: {$logoCustomization->image_width_scroll}px !important;
        }";
    }
        
}
if(isset($mainBarModal->box_shadow) && $mainBarModal->box_shadow != "never"){
    // Caso deva mostrar shadow antes de scrollar
    if($mainBarModal->box_shadow === "before_scroll"){
        $s .= ".{$module->name}.{$module->name}--desktop.{$module->name}__header--sticky:not(.{$module->name}__header--fixed){
            box-shadow: 0 2px 3px rgba(0, 0, 0, 0.2);
        }";
    // Caso deva mostrar shadow soh depois de scrollar
    }else if($mainBarModal->box_shadow === "after_scroll"){
        $s .= ".{$module->name}.{$module->name}--desktop.{$module->name}__header--fixed .{$module->name}__main-bar{
            box-shadow: 0 2px 3px rgba(0, 0, 0, 0.2);
        }";
    // Caso deva sempre mostrar shadow
    }else{
        $s .= ".{$module->name}.{$module->name}--desktop.{$module->name}__header--sticky, .{$module->name}.{$module->name}--desktop.{$module->name}__header--fixed .{$module->name}__main-bar{
            box-shadow: 0 2px 3px rgba(0, 0, 0, 0.2);
        }";
    }
}

$s .=
"@media screen and (max-width: 991px){";
    if($mainBarModal->header_position === 'sticky' && isset($mobileModal->mobile_background_color_scroll)){
        $s .= ".{$module->name}.{$module->name}--mobile.{$module->name}__header--fixed{
                    background-color: {$mobileModal->mobile_background_color_scroll} !important;
            }";
    }
    if(isset($mobileModal->mobile_box_shadow) && $mobileModal->mobile_box_shadow != "never"){
        // Caso deva mostrar shadow antes de scrollar
        if($mobileModal->mobile_box_shadow === "before_scroll"){
            $s .= ".{$module->name}.{$module->name}--mobile.{$module->name}__header--sticky:not(.{$module->name}__header--fixed){
                box-shadow: 0 2px 3px rgba(0, 0, 0, 0.2);
            }";
        // Caso deva mostrar shadow soh depois de scrollar
        }else if($mobileModal->mobile_box_shadow === "after_scroll"){
            $s .= ".{$module->name}.{$module->name}--mobile.{$module->name}__header--fixed .{$module->name}__main-bar{
                box-shadow: 0 2px 3px rgba(0, 0, 0, 0.2);
            }";
        // Caso deva sempre mostrar shadow
        }else{
            $s .= ".{$module->name}.{$module->name}--mobile.{$module->name}__header--sticky, .{$module->name}.{$module->name}--mobile.{$module->name}__header--fixed .{$module->name}__main-bar{
                box-shadow: 0 2px 3px rgba(0, 0, 0, 0.2);
            }";
        }
    }

    if(isset($mobileModal->menu_mobile_text_color_scroll)){
        $s .= ".{$module->name}.{$module->name}--mobile.{$module->name}__header--fixed .nobossheader__nav ul.mod-list > li > *{
                    color: {$mobileModal->menu_mobile_text_color_scroll} !important;
                }";
    }

    if(isset($mobileModal->submenu_mobile_text_color_scroll) && !empty($mobileModal->submenu_mobile_text_color_scroll)){
        $s .= ".{$module->name}.{$module->name}--mobile.{$module->name}__header--fixed .nobossheader__nav ul.mod-list > li > ul *{
                    color: {$mobileModal->submenu_mobile_text_color_scroll} !important;
                }";
    }

    if(isset($logoCustomization->image_width_scroll_mobile)){
        $s .=".{$module->name}.{$module->name}--mobile.{$module->name}__header--fixed .{$module->name}__logo--image{
                    width: {$logoCustomization->image_width_scroll_mobile}px !important;
                }";
    }
$s .= "}";

$assetsObject->loadFamilyIcons('font-awesome-v6');

// chama função que adiciona prefixo em todo o estilo que foi concatenado na variável $s 
$assetsObject->addStyleWithPrefix($s); 
?>
