
<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Header
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

if (!empty($slimBarMenuParams) || !empty($secondaryBarMenuParams) || !empty($mainBarMenuParams)){
    if(isset($isSlimBar) && $isSlimBar){
        $menuParams = $slimBarMenuParams;
        $showAsBurger = $slimBarMenuShowMenuAsBurger;
    }else if(isset($isSecondaryBar) && $isSecondaryBar){
        $menuParams = $secondaryBarMenuParams;
        $showAsBurger = false;
    }else{
        $menuParams = $mainBarMenuParams;
        $showAsBurger = $mainBarModal->show_menu_burguer;
    }

    $s = "";

    $s .= "

        .{$module->name} .{$barClass} .{$module->name}__nav ul.mod-list > li > *{
            {$menuParams->menuTextStyle}
        }
        .{$module->name} .{$barClass} .{$module->name}__nav .parent > ul li{
            {$menuParams->submenuTextStyle}
        }
        .{$module->name} .{$barClass} .{$module->name}__nav li li{
            {$menuParams->submenuBackgroundColor}
        } 
        
    ";
    $s .=
    "@media screen and (min-width: 992px){";
        $s .=
            ".{$module->name} .{$barClass} .{$module->name}__nav ul.mod-list > li > span,
            .{$module->name} .{$barClass} .{$module->name}__nav ul.mod-list > li > a{
                {$menuParams->menuInnerSpace}
            }
            .{$module->name} .{$barClass} .{$module->name}__nav ul.mod-list > li{
                {$menuParams->menuOuterSpace}
            }
            .{$module->name} .{$barClass} .{$module->name}__nav .active > a, .{$module->name} .{$barClass} .{$module->name}__nav ul.mod-list > li:hover > a {
                {$menuParams->menuTextStyleHover}
            }
            .{$module->name} .{$barClass} .{$module->name}__nav .parent > ul .current > a, .{$module->name} .{$barClass} .{$module->name}__nav .parent > ul a:hover {
                {$menuParams->submenuTextStyleHover}
            }
            .{$module->name} .{$barClass} .{$module->name}__nav li li {
                {$menuParams->submenuOuterSpace}
            }
            .{$module->name} .{$barClass} .{$module->name}__nav li li > span,
            .{$module->name} .{$barClass} .{$module->name}__nav li li > a{
                {$menuParams->submenuInnerSpace}
            }
            
            ";
            if(isset($isSecondaryBar) && $isSecondaryBar && isset($menuParams->menuTextBorder)){
                $s .= ".{$module->name} .{$barClass} .{$module->name}__nav .active > a:after, .{$module->name} .{$barClass} .{$module->name}__nav ul.mod-list > li:hover > a:after {
                    {$menuParams->menuTextBorder}
                }";
            }

        if($showAsBurger){
            $s .= "
                .{$module->name} .{$barClass} .{$module->name}__nav--side-menu{
                    {$menuParams->sideMenuParams->style}
                }
        
                .{$module->name} .{$barClass} .{$module->name}__nav--side-menu .{$module->name}__nav-header{
                    {$menuParams->sideMenuParams->headerStyle}
                }
        
                .{$module->name} .{$barClass} .{$module->name}__position--menu.is-open .material-icons{
                    {$menuParams->sideMenuParams->closeButtonColor}
                }
        
                .{$module->name} .{$barClass} .{$module->name}__nav--side-menu ul.mod-list > li{
                    {$menuParams->sideMenuParams->itemsBorder}
                }
                
                .{$module->name} .{$barClass} .{$module->name}__side-menu-action{
                    {$menuParams->sideMenuParams->desktopMenuIconStyle}
                }";
        }

    $s .= "}";

    if(isset($isMainBar) && $isMainBar){
        $s .=
        "@media screen and (max-width: 991px){";
            $s .= "
                .{$module->name} .{$module->name}__nav ul.mod-list > li > span,
                .{$module->name} .{$module->name}__nav ul.mod-list > li > a{
                    {$menuParams->menuMobileInnerSpace}
                    {$menuParams->menuTextStyleMobile}
                    {$menuParams->menuMobileItemsStyle}
                }";
        
            if(!empty($menuParams->menuMobileOuterSpace)){
                $s .= "
                    .{$module->name} .{$module->name}__nav ul.mod-list > li{
                        {$menuParams->menuMobileOuterSpace}
                    }
                ";
            }
            
            $s .= "
                .{$module->name} .{$module->name}__nav li li{
                    {$menuParams->submenuTextStyleMobile}
                    {$menuParams->submenuStyleMobile}
                    {$menuParams->submenuMobileOuterSpace}
                }
                .{$module->name} .{$module->name}__nav ul > li a,
                .{$module->name} .{$module->name}__nav ul > li span,
                .{$module->name} .{$module->name}__nav li > li a,
                .{$module->name} .{$module->name}__nav li > li span{
                    {$menuParams->submenuMobileInnerSpace}
                    {$menuParams->submenuMobileItemsStyle}
                }
                .{$module->name} .{$module->name}__nav .active > a, .{$module->name} .{$module->name}__nav ul.mod-list > li:hover > a {
                    {$menuParams->menuMobileTextStyleHover}
                }
                .{$module->name} .{$module->name}__nav .parent > ul .current > a, .{$module->name} .{$module->name}__nav .parent > ul a:hover {
                    {$menuParams->submenuMobileTextStyleHover}
                }
            ";
        
        $s .= "}";
    }
    
    $assetsObject->addStyleWithPrefix($s);
}

?>

