<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Header
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

$isMobile = true;
$isMainBar = true;
?>

<header class='<?php echo "{$module->name} {$module->name}--default {$module->name}--mobile {$module->name}__header--{$mainBarModal->header_position}"; ?>'  style="<?php echo $mainBarStyleMobile; ?>" <?php echo "module-id={$module->name}_{$module->id}"; ?>>
    
    <?php
    // Exibicao de barra slim acima da barra principal
    if($slimMobile == 2){
        $isMainBar = false;
        ?>
        <div class='<?php echo "{$module->name}__slim-bar_mobile"; ?>' style="<?php echo $mobileSlimStyle; ?>">
            <?php require JModuleHelper::getLayoutPath($extensionName, "common/slim_bar"); ?>
        </div>
        <?php
        $isMainBar = true;
    }
    ?>

    <?php // Barra principal ?>
    <div class='<?php echo "{$module->name}__wrapper"; ?>'>
        <?php if($headerMobilePos1){ 
                if($headerMobilePos1 === 'logo' && isset($mainBarLogoParams->logoConfig->show_different_logo_mobile) && $mainBarLogoParams->logoConfig->show_different_logo_mobile){
                    $headerMobilePos1 .= '_mobile';
                }?>
            <div class='<?php echo "{$module->name}__position1 {$module->name}__position--{$headerMobilePos1}"; ?>'>
                <?php    
                    // Exibe html
                    require JModuleHelper::getLayoutPath($extensionName, "common/{$headerMobilePos1}");
                ?>
            </div>
        <?php } ?>
        <?php if($headerMobilePos2){ 
                if($headerMobilePos2 === 'logo' && isset($mainBarLogoParams->logoConfig->show_different_logo_mobile) && $mainBarLogoParams->logoConfig->show_different_logo_mobile){
                    $headerMobilePos2 .= '_mobile';
                    
                }?>
            <div class='<?php echo "{$module->name}__position2 {$module->name}__position2--$headerMobilePos2Alignment {$module->name}__position--{$headerMobilePos2}"; ?>'>
                <?php
                    // Exibe html
                    require JModuleHelper::getLayoutPath($extensionName, "common/{$headerMobilePos2}");
                ?>
            </div>
        <?php } ?>
        <?php if($headerMobilePos3){ 
                if($headerMobilePos3 === 'logo' && isset($mainBarLogoParams->logoConfig->show_different_logo_mobile) && $mainBarLogoParams->logoConfig->show_different_logo_mobile){
                    $headerMobilePos3 .= '_mobile';
                }?>
            <div class='<?php echo "{$module->name}__position3 {$module->name}__position--{$headerMobilePos3}"; ?>'>
                <?php    
                    // Exibe html
                    require JModuleHelper::getLayoutPath($extensionName, "common/{$headerMobilePos3}");
                ?>
            </div>
        <?php } ?>
    </div>
    
    <?php
    // Exibicao de barra slim abaixo da barra principal
    if($slimMobile == 3){
        $isMainBar = false;
        ?>
        <div class='<?php echo "{$module->name}__slim-bar_mobile"; ?>' style="<?php echo $mobileSlimStyle; ?>">
            <?php require JModuleHelper::getLayoutPath($extensionName, "common/slim_bar"); ?>
        </div>
        <?php
        $isMainBar = true;
    }
    ?>

    <?php 
    // Formulário de busca (barra propria)
    if($showSearch){ 
        require JModuleHelper::getLayoutPath($extensionName, "common/search_form"); 
    } 
    ?>

    <?php // Menu que eh aberto no mobile ?>
    <div class='<?php echo "{$module->name}__menu--mobile"; ?>' style="<?php echo $mainBarMenuParams->menuStyleMobile; ?>">
        <?php 
            // Idioma sendo exibido no inicio do menu aberto
            if(isset($langConfig->langShowInsideMenu) && ($langConfig->langShowInsideMenu && $langConfig->showLanguageMobile && $langConfig->langShowItem == 'before')){
                require JModuleHelper::getLayoutPath($extensionName, "common/languages");
            }  
            
            // Menu da barra principal
            if(!empty($mainBarModuloMenuHtml) && $menuMobileMain){
                require JModuleHelper::getLayoutPath($extensionName, "common/menu");
            }

            // Recursos da barra slim devem ser exibidos dentro do menu
            if(!empty($slimBarModuloMenuHtml) && $showSlimBar && ($slimMobile == 1)){
                echo "<hr/>";
                // para pegar o menu secundario seta a variavel
                $isSlimBar = true;
                require JModuleHelper::getLayoutPath($extensionName, "common/menu");
                $isSlimBar = false;
            }

            // Menu da barra secundaria
            if(!empty($secondaryBarModuloMenuHtml) && $showSecondaryBar && $menuMobileSecondary){
                echo "<hr/>";
                // para pegar o menu secundario seta a variavel
                $isSecondaryBar = true;
                require JModuleHelper::getLayoutPath($extensionName, "common/menu");
                $isSecondaryBar = false;
            }

            // Links de acao
            if(($headerMobilePos1 === "additional_items" || $headerMobilePos2 === "additional_items" || $headerMobilePos3 === "additional_items") && ((isset($mainBarShowActionLinks) && $mainBarShowActionLinks) || (isset($slimBarShowActionLinks) && $slimBarShowActionLinks))){
                // Identifica a origem que solicitou exibicao dos botoes
                $actionOrigin = 'menu';
                require JModuleHelper::getLayoutPath($extensionName, "common/action_links");
            }

            // Idioma sendo exibido no final do menu aberto
            if(isset($langConfig->langShowInsideMenu) && ($langConfig->langShowInsideMenu && $langConfig->showLanguageMobile && $langConfig->langShowItem == 'after')){
                // Exibe html
                require JModuleHelper::getLayoutPath($extensionName, "common/languages");
            } 
        ?>
        <?php if(isset($slimBarShowSocialMedia) && $slimBarShowSocialMedia && $slimBarShowSocialMediaOnMobile && ($slimMobile == 1)){
            echo "<br>";
            require JModuleHelper::getLayoutPath($extensionName, "style/social_media");
            require JModuleHelper::getLayoutPath($extensionName, "common/social_media");
        }?>
        <?php if(isset($slimBarShowAdditionalContent) && $slimBarShowAdditionalContent && $slimBarShowAdditionalContentOnMobile){
            echo "<br>";
            echo JHtml::_('content.prepare', $slimBarAdditionalContent);
        }?>
        <?php if(isset($slimBarShowContactInfo) && $slimBarShowContactInfo && $slimBarShowContactInfoOnMobile){
            echo "<br>";
            require JModuleHelper::getLayoutPath($extensionName, "style/contact_info");
            require JModuleHelper::getLayoutPath($extensionName, "common/contact_info");
        }?>
    </div>
</header>

<?php // $langItem->show_on_mobile ?> 
